Bug 845645 - Virt-viewer does not launch "full-screen" from virt-viewer cmd line.
Virt-viewer does not launch "full-screen" from virt-viewer cmd line.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: Marc-Andre Lureau
Virtualization Bugs
:
Depends On: 843103 977237
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 13:37 EDT by Bill Sanford
Modified: 2014-02-10 02:37 EST (History)
10 users (show)

See Also:
Fixed In Version: virt-viewer-0.5.7-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-24 12:49:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Sanford 2012-08-03 13:37:57 EDT
Description of problem:Virt-viewer does not launch "full-screen" from virt-viewer cmd line.

The error is "Invalid full-screen argument:"


Version-Release number of selected component (if applicable):
RHEL-7.0-20120711.2

How reproducible:
100%

Steps to Reproduce:
1. Launch virt-viewer with the -f or --full-screen option.
2.
3.
  
Actual results:
"Invalid full-screen argument:"

Expected results:
virt-viewer launches a full-screen client

Additional info:

[root@dhcp-10-16-61-110 ~]# remote-viewer --help
Usage:
  remote-viewer [OPTION...] URI - Remote viewer client

Help Options:
  -h, --help                                                        Show help options
  --help-all                                                        Show all help options
  --help-gtk                                                        Show GTK+ Options
  --help-gtk-vnc                                                    Show GTK-VNC Options
  --help-spice                                                      Show Spice Options

Application Options:
  -V, --version                                                     Display version information
  -v, --verbose                                                     Display verbose information
  -d, --direct                                                      Direct connection with no automatic tunnels
  -z, --zoom=ZOOM                                                   Zoom level of window, in percentage
  --debug                                                           Display debugging information
  -f, --full-screen                                                 Open in full screen mode (=<auto-conf>)
  --spice-controller                                                Open connection using Spice controller communication
  --display=DISPLAY                                                 X display to use

[root@dhcp-10-16-61-110 ~]# remote-viewer -f spice://localhost?port=5900
Invalid full-screen argument: spice://localhost?port=5900
Run 'virt-viewer --help' to see a full list of available command line options
[root@dhcp-10-16-61-110 ~]# remote-viewer --full-screen spice://localhost?port=5900 
Invalid full-screen argument: spice://localhost?port=5900
Comment 2 tingting zheng 2012-11-28 22:12:20 EST
Yes,if you put -f before spice://localhost?port=5900,there is error,there is bug 843103 on rhel6,which is not fixed.
Tried on rhel7,put -f behind spice://localhost?port=5900,it can be connected successfully.
Comment 4 Christophe Fergeau 2014-01-24 12:49:26 EST
Already fixed in RHEL7 builds (upstream commit was v0.5.7~56)
Comment 5 Cui Lei 2014-02-10 02:37:41 EST
I have test this issue with:
virt-viewer-0.5.7-6.el7.x86_64

Both of below two scenario work well. No error message pop up
[root@localhost ~]# remote-viewer -f -- spice://localhost:5900
[root@localhost ~]# remote-viewer --full-screen=auto-conf spice://localhost:5900

Note You need to log in before you can comment on or make changes to this bug.